import pandas as pd
import csv
import os
csvName = 'record.csv'
try:
    csvData = pd.read_csv(csvName)
except FileNotFoundError as e:
    print("不存在生成记录,请先提交抠人台抠图任务")
generate_ids = csvData.loc[csvData['generate_id'].isin([1100559,1100560,1100562])]
for idx,item in generate_ids.iterrows():
    # print("idx",idx)
    csvData.drop(csvData.loc[csvData['generate_id'] == item["generate_id"]].index,inplace=True)
    # print("item",item)
csvData.to_csv(csvName, index=False)